import r from "prop-types";
import t from "./use-did.js";
function n({ session: i, children: e }) {
  const o = t({ session: i });
  return e instanceof Function ? e(o) : null;
}
n.propTypes = {
  session: r.object.isRequired,
  children: r.func.isRequired
};
export {
  n as default
};
